From 020bf83511bd20e1ab3ff699fbeecdb9a76bf525 Mon Sep 17 00:00:00 2001
From: Calvin Morrison <calvin@boxi.(none)>
Date: Sun, 13 Nov 2011 19:20:38 -0500
Subject: Added the 3.5.13 Release PKGBUILDs.

---
 arch/3.5.13/trinity-extras/trinity-amarok/PKGBUILD | 67 ++++++++++++++++
 .../trinity-extras/trinity-gtk-qt-engine/PKGBUILD  | 63 +++++++++++++++
 .../trinity-kdegraphics/GSmartPointer.h.patch      | 10 +++
 .../trinity-extras/trinity-kdegraphics/PKGBUILD    | 89 ++++++++++++++++++++++
 .../trinity-extras/trinity-kdevelop/PKGBUILD       | 60 +++++++++++++++
 .../trinity-extras/trinity-kpowersave/PKGBUILD     | 68 +++++++++++++++++
 .../kpowersave-inactivity.cpp.patch                | 11 +++
 .../3.5.13/trinity-extras/trinity-qtcurve/PKGBUILD | 64 ++++++++++++++++
 8 files changed, 432 insertions(+)
 create mode 100644 arch/3.5.13/trinity-extras/trinity-amarok/PKGBUILD
 create mode 100644 arch/3.5.13/trinity-extras/trinity-gtk-qt-engine/PKGBUILD
 create mode 100644 arch/3.5.13/trinity-extras/trinity-kdegraphics/GSmartPointer.h.patch
 create mode 100644 arch/3.5.13/trinity-extras/trinity-kdegraphics/PKGBUILD
 create mode 100644 arch/3.5.13/trinity-extras/trinity-kdevelop/PKGBUILD
 create mode 100644 arch/3.5.13/trinity-extras/trinity-kpowersave/PKGBUILD
 create mode 100644 arch/3.5.13/trinity-extras/trinity-kpowersave/kpowersave-inactivity.cpp.patch
 create mode 100644 arch/3.5.13/trinity-extras/trinity-qtcurve/PKGBUILD

(limited to 'arch/3.5.13/trinity-extras')

diff --git a/arch/3.5.13/trinity-extras/trinity-amarok/PKGBUILD b/arch/3.5.13/trinity-extras/trinity-amarok/PKGBUILD
new file mode 100644
index 000000000..402414894
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-amarok/PKGBUILD
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: David C. Rankin <drankinatty@gmail.com>
+#
+# All modifications and uses of this file are licensed under
+# the software for which this file was made for, should the software
+# be under an Open Source License, at least version 1.9, defined
+# by the Open Source Initiative. In other cases, this file is automatically
+# released to the Public Domain.
+#
+
+pkgname=trinity-amarok
+pkgver=3513
+pkgrel=1
+arch=('i686' 'x86_64')
+url='http://www.trinitydesktop.org'
+license=('GPL')
+groups=('trinity-extras')
+pkgdesc="Trinity - Amarok music player "
+depends=('trinity-kdebase' 'libifp' 'libmtp' 'libnjb' 'python-daap')
+makedepends=('pkgconfig' 'cmake' 'imake')
+options=('libtool' '!strip')
+source=(http://mirror.its.uidaho.edu/pub/trinity/releases/3.5.13/applications/amarok-3.5.13.tar.gz)
+md5sums=('7145ebee38f104bef6cfaf56e7f81959')
+
+_svnmod=applications/amarok
+
+build() {
+
+  msg "Setting PATH, CMAKE and Trinity Environment variables"
+  export CMAKE_PREFIX_PATH=/opt/qt:/opt/trinity
+  export CMAKE_INCLUDE_PATH=/opt/qt/include/tqt:/usr/include/dbus-1.0:/opt/trinity/include
+  export LD_LIBRARY_PATH=/opt/trinity/lib:/opt/trinity/lib/kde3:$LD_LIBRARY_PATH
+  export PKG_CONFIG_PATH=:/opt/qt/lib/pkgconfig
+
+  trinity_prefix="/opt/trinity"
+
+  cd $srcdir
+  msg "Creating out-of-source build directory: ${srcdir}/build"
+  mkdir -p build
+  cd build
+
+  # Baho additions
+  CFLAGS=${CFLAGS}" -fpermissive"
+  CXXFLAGS=${CXXFLAGS}" -fpermissive"
+
+  msg "Starting cmake..."
+  cmake ${srcdir}/${_svnmod} \
+    -DCMAKE_INSTALL_PREFIX=${trinity_prefix} \
+    -DCMAKE_VERBOSE_MAKEFILE=ON \
+    -DQT_VERSION=3 \
+    -DWITH_IFP=ON \
+    -DWITH_NJB=ON \
+    -DWITH_MTP=ON \
+    -DWITH_DAAP=ON \
+    -DBUILD_ALL=ON
+  make
+}
+
+package() {
+  msg "Packaging - $pkgname-$pkgver"
+#   cd ${srcdir}/${_svnmod}
+  cd ${srcdir}/build
+
+  make DESTDIR="$pkgdir/" install
+
+#   rm -r ${srcdir}/${_svnmod}
+}
diff --git a/arch/3.5.13/trinity-extras/trinity-gtk-qt-engine/PKGBUILD b/arch/3.5.13/trinity-extras/trinity-gtk-qt-engine/PKGBUILD
new file mode 100644
index 000000000..e68ddf895
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-gtk-qt-engine/PKGBUILD
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: David C. Rankin <drankinatty@gmail.com>
+#
+# All modifications and uses of this file are licensed under
+# the software for which this file was made for, should the software
+# be under an Open Source License, at least version 1.9, defined
+# by the Open Source Initiative. In other cases, this file is automatically
+# released to the Public Domain.
+#
+
+pkgname=trinity-gtk-qt-engine
+pkgver=3513
+pkgrel=1
+arch=('i686' 'x86_64')
+url='http://www.kde.org'
+license=('GPL')
+groups=('trinity-extras')
+pkgdesc="Trinity - Qt wrapper for GTK, makes gtk2 apps look pretty under TDE"
+depends=('trinity-kdebase')
+makedepends=('pkgconfig' 'cmake' 'imake')
+options=('libtool' '!strip')
+source=(http://mirror.its.uidaho.edu/pub/trinity/releases/3.5.13/applications/gtk-qt-engine-3.5.13.tar.gz)
+md5sums=('96da675949ef8743d4fe91531f734030')
+
+_svnmod=applications/gtk-qt-engine
+
+build() {
+
+  msg "Setting PATH, CMAKE and Trinity Environment variables"
+  export CMAKE_PREFIX_PATH=/opt/qt:/opt/trinity
+  export CMAKE_INCLUDE_PATH=/opt/qt/include:/opt/qt/include/tqt:/usr/include/dbus-1.0:/opt/trinity/include:/opt/trinity/include/libkrandr
+  export LD_LIBRARY_PATH=/opt/trinity/lib:/opt/trinity/lib/kde3:$LD_LIBRARY_PATH
+  export PKG_CONFIG_PATH=:/opt/trinity/lib/pkgconfig:/opt/qt/lib/pkgconfig
+
+  trinity_prefix="/opt/trinity"
+
+  cd $srcdir
+  msg "Creating out-of-source build directory: ${srcdir}/build"
+  mkdir -p build
+  cd build
+
+  msg "Starting cmake..."
+  cmake ${srcdir}/${_svnmod} \
+    -DCMAKE_INSTALL_PREFIX=${trinity_prefix} \
+    -DCMAKE_VERBOSE_MAKEFILE=ON \
+    -DQT_VERSION=3 \
+    -DWITH_QT3=ON \
+    -DQTDIR=/opt/qt \
+    -DQT_DOCDIR=/opt/qt/man \
+    -DQT_LIBRARY_DIRS=/opt/qt/lib \
+    -DBUILD_ALL=ON
+  make
+}
+
+package() {
+  msg "Packaging - $pkgname-$pkgver"
+#   cd ${srcdir}/${_svnmod}
+  cd ${srcdir}/build
+
+  make DESTDIR="$pkgdir/" install
+
+#   rm -r ${srcdir}/${_svnmod}
+}
diff --git a/arch/3.5.13/trinity-extras/trinity-kdegraphics/GSmartPointer.h.patch b/arch/3.5.13/trinity-extras/trinity-kdegraphics/GSmartPointer.h.patch
new file mode 100644
index 000000000..4634f8ca0
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-kdegraphics/GSmartPointer.h.patch
@@ -0,0 +1,10 @@
+--- kdegraphics/kviewshell/plugins/djvu/libdjvu/GSmartPointer.h
++++ kdegraphics/kviewshell/plugins/djvu/libdjvu/GSmartPointer.h	2011-05-08 11:47:20.000000000 -0500
+@@ -56,6 +56,7 @@
+ 
+ #ifndef _GSMARTPOINTER_H_
+ #define _GSMARTPOINTER_H_
++#include <cstddef>
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
diff --git a/arch/3.5.13/trinity-extras/trinity-kdegraphics/PKGBUILD b/arch/3.5.13/trinity-extras/trinity-kdegraphics/PKGBUILD
new file mode 100644
index 000000000..a6a365c64
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-kdegraphics/PKGBUILD
@@ -0,0 +1,89 @@
+# $Id$
+# Maintainer: David C. Rankin <drankinatty@gmail.com>
+#
+# All modifications and uses of this file are licensed under
+# the software for which this file was made for, should the software
+# be under an Open Source License, at least version 1.9, defined
+# by the Open Source Initiative. In other cases, this file is automatically
+# released to the Public Domain.
+#
+
+pkgname=trinity-kdegraphics
+pkgver=3513
+pkgrel=1.0
+arch=('i686' 'x86_64')
+url='http://www.kde.org'
+license=('GPL')
+groups=('trinity-extras')
+pkgdesc="Trinity - kdegraphics"
+depends=('trinity-kdebase' 'libart-lgpl' 'libgphoto2' 'libtiff' 'openexr' 't1lib')
+makedepends=('pkgconfig' 'cmake' 'imake' 'fribidi')
+# 'poppler-qt'
+optdepends=('xscreensaver: Screen saver and locker for the X Window System')
+provides=('trinity-kdegraphics')
+conflicts=('trinity-kdegraphics')
+replaces=('trinity-kdegraphics')
+options=('libtool' '!strip')
+source=('GSmartPointer.h.patch' 'http://mirror.its.uidaho.edu/pub/trinity/releases/3.5.13/kdegraphics-3.5.13.tar.gz')
+md5sums=('7b93c9bdf1208df453c9838519fab109' 'a75c254cd1060343cd04c6744bce6798')
+
+_svnmod=kdegraphics
+trinity_prefix="/opt/trinity"
+
+build() {
+
+  # patch for gcc-4.6
+  if grep -q cstddef  ${srcdir}/kdegraphics/kviewshell/plugins/djvu/libdjvu/GSmartPointer.h; then
+    msg "Patch for GCC 4.6 - Previously Applied"
+  else
+    msg "Applying Patch for GCC 4.6"
+    patch -p0 -i ${srcdir}/GSmartPointer.h.patch || return 1
+  fi
+
+  msg "Setting PATH, CMAKE and Trinity Environment variables"
+  export CMAKE_PREFIX_PATH=/opt/qt:/opt/trinity
+  if [[ -r /etc/profile.d/qt3.sh ]]; then
+    . /etc/profile.d/qt3.sh
+    [[ -n $QTDIR ]] && _qtdir=$QTDIR
+  else
+    [[ ${PATH%%:*} =~ ${_qtdir}/bin ]] || export PATH=${_qtdir}/bin:$PATH
+  fi
+
+   export CMAKE_INCLUDE_PATH=/opt/qt/include:/opt/qt/include/tqt:/usr/include/dbus-1.0:/opt/trinity/include:/opt/trinity/include/libkrandr:/usr/include
+   export LD_LIBRARY_PATH=/opt/trinity/lib:/opt/trinity/lib/kde3:$LD_LIBRARY_PATH
+   export PKG_CONFIG_PATH=:/opt/trinity/lib/pkgconfig:/opt/qt/lib/pkgconfig
+
+  cd $srcdir
+  msg "Creating out-of-source build directory: ${srcdir}/build"
+  mkdir -p build
+  cd build
+
+  msg "Starting cmake..."
+  cmake ${srcdir}/${_svnmod} \
+    -DCMAKE_INSTALL_PREFIX=${trinity_prefix} \
+    -DCMAKE_VERBOSE_MAKEFILE=ON \
+    -DQT_VERSION=3 \
+    -DCMAKE_CXX_FLAGS="-fpermissive" \
+    -DWITH_T1LIB=ON \
+    -DWITH_LIBPAPER=ON \
+    -DWITH_TIFF=ON \
+    -DWITH_OPENEXR=ON \
+    -DWITH_PAM=ON \
+    -DBUILD_ALL=ON
+  make
+
+#     -DWITH_PDF=ON \ (waiting on poppler-qt3)
+
+#     -DWITH_QT3=ON \
+#     -DQTDIR=/opt/qt \
+#     -DQT_LIBRARY_DIRS=/opt/qt/lib \
+}
+
+package() {
+  msg "Packaging - $pkgname-$pkgver"
+  cd ${srcdir}/build
+
+  make DESTDIR="$pkgdir/" install
+
+  cd ${startdir}
+}
diff --git a/arch/3.5.13/trinity-extras/trinity-kdevelop/PKGBUILD b/arch/3.5.13/trinity-extras/trinity-kdevelop/PKGBUILD
new file mode 100644
index 000000000..2b04cd679
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-kdevelop/PKGBUILD
@@ -0,0 +1,60 @@
+# $Id$
+# Maintainer: David C. Rankin <drankinatty@gmail.com>
+#
+# All modifications and uses of this file are licensed under
+# the software for which this file was made for, should the software
+# be under an Open Source License, at least version 1.9, defined
+# by the Open Source Initiative. In other cases, this file is automatically
+# released to the Public Domain.
+#
+
+pkgname=trinity-kdevelop
+pkgver=12345
+pkgrel=1.0
+arch=('i686' 'x86_64')
+url='http://www.kde.org'
+license=('GPL')
+groups=('trinity-extras')
+pkgdesc="Trinity - kdevelop"
+depends=('trinity-kdebase')
+#         'xorg'
+makedepends=('pkgconfig' 'cmake' 'imake')
+options=('libtool' '!strip')
+source=(http://mirror.its.uidaho.edu/pub/trinity/releases/3.5.13/kdevelop-3.5.13.tar.gz)
+md5sums=('777bd77e4f2dc6a5b5b45a370dcf6da0')
+_svnmod=kdevelop
+
+build() {
+
+  msg "Setting PATH, CMAKE and Trinity Environment variables"
+  export CMAKE_PREFIX_PATH=/opt/qt:/opt/trinity
+  CMAKE_INCLUDE_PATH=/opt/qt/include:/opt/qt/include/tqt:/usr/include/dbus-1.0:/opt/trinity/include:/opt/trinity/include/libkrandr
+  export LD_LIBRARY_PATH=/opt/trinity/lib:/opt/trinity/lib/kde3:$LD_LIBRARY_PATH
+  export PKG_CONFIG_PATH=:/opt/trinity/lib/pkgconfig:/opt/qt/lib/pkgconfig
+
+  trinity_prefix="/opt/trinity"
+
+  cd $srcdir
+  msg "Creating out-of-source build directory: ${srcdir}/build"
+  mkdir -p build
+  cd build
+
+  msg "Starting cmake..."
+  cmake ${srcdir}/${_svnmod} \
+    -DCMAKE_INSTALL_PREFIX=${trinity_prefix} \
+    -DCMAKE_VERBOSE_MAKEFILE=ON \
+    -DQT_VERSION=3 \
+    -DWITH_QT3=ON \
+    -DQTDIR=/opt/qt \
+    -DQT_DOCDIR=/opt/qt/man \
+    -DQT_LIBRARY_DIRS=/opt/qt/lib \
+    -DBUILD_ALL=ON
+  make
+}
+
+package() {
+  msg "Packaging - $pkgname-$pkgver"
+  cd ${srcdir}/build
+
+  make DESTDIR="$pkgdir/" install
+}
diff --git a/arch/3.5.13/trinity-extras/trinity-kpowersave/PKGBUILD b/arch/3.5.13/trinity-extras/trinity-kpowersave/PKGBUILD
new file mode 100644
index 000000000..566bb4d98
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-kpowersave/PKGBUILD
@@ -0,0 +1,68 @@
+# $Id$
+# Maintainer: David C. Rankin <drankinatty@gmail.com>
+#
+# All modifications and uses of this file are licensed under
+# the software for which this file was made for, should the software
+# be under an Open Source License, at least version 1.9, defined
+# by the Open Source Initiative. In other cases, this file is automatically
+# released to the Public Domain.
+#
+
+pkgname=trinity-kpowersave
+pkgver=3513
+pkgrel=1
+arch=('i686' 'x86_64')
+url='http://www.trinitydesktop.org'
+license=('GPL')
+groups=('trinity-extras')
+pkgdesc="Trinity - kpowersave"
+depends=('xscreensaver'
+        'libxss'
+        'trinity-kdebase')
+makedepends=('pkgconfig' 'cmake' 'autoconf' 'imake')
+options=('libtool' '!strip')
+source=(http://mirror.its.uidaho.edu/pub/trinity/releases/3.5.13/applications/kpowersave-3.5.13.tar.gz)
+md5sums=('c887eb282fd035655b370f133ce58664')
+
+_svnmod=applications/kpowersave
+
+build() {
+
+  msg "Setting PATH, CMAKE and Trinity Environment variables"
+  export CMAKE_PREFIX_PATH=/opt/qt:/opt/trinity
+  export CMAKE_INCLUDE_PATH=/opt/qt/include:/opt/qt/include/tqt:/usr/include/dbus-1.0:/opt/trinity/include:/opt/trinity/include/libkrandr
+  export LD_LIBRARY_PATH=/opt/trinity/lib:/opt/trinity/lib/kde3:$LD_LIBRARY_PATH
+  export PKG_CONFIG_PATH=:/opt/trinity/lib/pkgconfig:/opt/qt/lib/pkgconfig
+
+  # patch for inactivity.cpp
+  # patch -p0 -i ${srcdir}/kpowersave-app-inactivity.cpp.patch || return 1
+
+  trinity_prefix="/opt/trinity"
+
+  cd $srcdir
+  msg "Creating out-of-source build directory: ${srcdir}/build"
+  mkdir -p build
+  cd build
+
+  msg "Starting cmake..."
+  cmake ${srcdir}/${_svnmod} \
+    -DCMAKE_INSTALL_PREFIX=${trinity_prefix} \
+    -DCMAKE_VERBOSE_MAKEFILE=ON \
+    -DQT_VERSION=3 \
+    -DWITH_QT3=ON \
+    -DQTDIR=/opt/qt \
+    -DQT_DOCDIR=/opt/qt/man \
+    -DQT_LIBRARY_DIRS=/opt/qt/lib \
+    -DBUILD_ALL=ON
+  make
+}
+
+package() {
+  msg "Packaging - $pkgname-$pkgver"
+#   cd ${srcdir}/${_svnmod}
+  cd ${srcdir}/build
+
+  make DESTDIR="$pkgdir/" install
+
+#   rm -r ${srcdir}/${_svnmod}
+}
diff --git a/arch/3.5.13/trinity-extras/trinity-kpowersave/kpowersave-inactivity.cpp.patch b/arch/3.5.13/trinity-extras/trinity-kpowersave/kpowersave-inactivity.cpp.patch
new file mode 100644
index 000000000..08645af32
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-kpowersave/kpowersave-inactivity.cpp.patch
@@ -0,0 +1,11 @@
+--- kpowersave/src/inactivity.cpp
++++ kpowersave/src/inactivity.cpp	2011-03-12 18:40:52.000000000 -0600
+@@ -325,7 +325,7 @@
+ 		blacklisted_running = false;
+ 	} 
+ 	else {
+-		if (pids.contains(QRegExp::QRegExp("[0-9]"))) {
++		if (pids.contains(QRegExp("[0-9]"))) {
+ 			kdDebug() << "BLACKLISTED IS RUNNING" << endl;
+ 			blacklisted_running = true;
+ 			blacklisted_running_last = idleTime;
diff --git a/arch/3.5.13/trinity-extras/trinity-qtcurve/PKGBUILD b/arch/3.5.13/trinity-extras/trinity-qtcurve/PKGBUILD
new file mode 100644
index 000000000..c8385a361
--- /dev/null
+++ b/arch/3.5.13/trinity-extras/trinity-qtcurve/PKGBUILD
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: David C. Rankin <drankinatty@gmail.com>
+#
+# All modifications and uses of this file are licensed under
+# the software for which this file was made for, should the software
+# be under an Open Source License, at least version 1.9, defined
+# by the Open Source Initiative. In other cases, this file is automatically
+# released to the Public Domain.
+#
+
+pkgname=trinity-qtcurve
+pkgver=3513
+pkgrel=1
+arch=('i686' 'x86_64')
+url='http://www.trinitydesktop.org'
+license=('GPL')
+groups=('trinity-extras')
+pkgdesc="Trinity - Trinity style QtCurve"
+depends=('trinity-kdebase')
+makedepends=('pkgconfig' 'cmake' 'imake')
+options=('libtool' '!strip')
+source=('http://mirror.its.uidaho.edu/pub/trinity/releases/3.5.13/applications/kde-style-qtcurve-3.5.13.tar.gz')
+_svnmod=applications/kde-style-qtcurve
+md5sums=('98133893b9c6736804d4dfc134a3a256')
+
+build() {
+
+  msg "Setting PATH, CMAKE and Trinity Environment variables"
+  export CMAKE_PREFIX_PATH=/opt/qt:/opt/trinity
+  export CMAKE_INCLUDE_PATH=/opt/qt/include:/opt/qt/include/tqt:/usr/include/dbus-1.0:/opt/trinity/include:/opt/trinity/include/libkrandr
+  export LD_LIBRARY_PATH=/opt/trinity/lib:/opt/trinity/lib/kde3:$LD_LIBRARY_PATH
+  export PKG_CONFIG_PATH=:/opt/trinity/lib/pkgconfig:/opt/qt/lib/pkgconfig
+
+#   cd ${srcdir}/${_svnmod}
+
+  trinity_prefix="/opt/trinity"
+
+  cd $srcdir
+  msg "Creating out-of-source build directory: ${srcdir}/build"
+  mkdir -p build
+  cd build
+
+  msg "Starting cmake..."
+  cmake ${srcdir}/${_svnmod} \
+    -DCMAKE_INSTALL_PREFIX=${trinity_prefix} \
+    -DCMAKE_VERBOSE_MAKEFILE=ON \
+    -DQT_VERSION=3 \
+    -DWITH_QT3=ON \
+    -DQTDIR=/opt/qt \
+    -DQT_DOCDIR=/opt/qt/man \
+    -DQT_LIBRARY_DIRS=/opt/qt/lib \
+    -DBUILD_ALL=ON
+  make
+}
+
+package() {
+  msg "Packaging - $pkgname-$pkgver"
+#   cd ${srcdir}/${_svnmod}
+  cd ${srcdir}/build
+
+  make DESTDIR="$pkgdir/" install
+
+#   rm -r ${srcdir}/${_svnmod}
+}
-- 
cgit v1.2.1